/**
 * Copyright (c) 2005 by De Wolf Consultancy
 * All Rights Reserved.
 * 
 * $Id: CalculatorBean.java,v 1.1 2005/12/14 21:22:22 carlo Exp $
 */
package nl.wolfc.security.ejb3.impl;

import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;

import nl.wolfc.security.ejb3.CalculatorLocal;

import org.jboss.annotation.security.SecurityDomain;

/**
 * @author carlo
 *
 */
@Stateless
@SecurityDomain("test")
public class CalculatorBean implements CalculatorLocal {
	/* (non-Javadoc)
	 * @see nl.wolfc.security.ejb3.impl.CalculatorLocal#add(int, int)
	 */
	@RolesAllowed("calculator")
	public int add(int a, int b) {
		return a + b;
	}
}
