/**
 * Copyright (c) 2005 by De Wolf Consultancy
 * All Rights Reserved.
 * 
 * $Id: HelloWorldBean.java,v 1.2 2005/12/14 21:22:22 carlo Exp $
 */
package nl.wolfc.security.ejb3.impl;

import javax.annotation.security.PermitAll;
import javax.annotation.security.RolesAllowed;
import javax.ejb.Stateless;

import org.jboss.annotation.security.SecurityDomain;

import nl.wolfc.security.ejb3.HelloWorldLocal;

/**
 * @author carlo
 *
 */
@Stateless
@SecurityDomain("other")
public class HelloWorldBean implements HelloWorldLocal {
	@RolesAllowed("admin")
	public String sayHelloTo(String me) {
		return "Hello " + me;
	}

	@PermitAll
	public String sayByeTo(String me) {
		return "Bye " + me;
	}
}
